unit TypeLib;
INTERFACE
Type
  TRay = record
    x1,x2,y1,y2:real;
  end;
  TPoint = record x,y:real; end;
Procedure Otro2Ray(aCenX,aCenY,aLen,aAlpha:real;var ret:TRay);
IMPLEMENTATION
Procedure Otro2Ray;
begin
  with ret do begin
    x1:=aCenX;y1:=aCenY;
    x2:=x1+aLen*Cos(aAlpha*PI/180+PI/2);
    y2:=y1+aLen*Sin(aAlpha*PI/180+PI/2);
  end;
end;
end.